/* SrcdComponents custom elements bundle */

import type { Components, JSX } from "../types/components";

interface AnnexesListBackdrop extends Components.AnnexesListBackdrop, HTMLElement {}
export const AnnexesListBackdrop: {
  prototype: AnnexesListBackdrop;
  new (): AnnexesListBackdrop;
};

interface AnnexesListModal extends Components.AnnexesListModal, HTMLElement {}
export const AnnexesListModal: {
  prototype: AnnexesListModal;
  new (): AnnexesListModal;
};

interface AnnexesModalBundle extends Components.AnnexesModalBundle, HTMLElement {}
export const AnnexesModalBundle: {
  prototype: AnnexesModalBundle;
  new (): AnnexesModalBundle;
};

interface ScrdAnnexesList extends Components.ScrdAnnexesList, HTMLElement {}
export const ScrdAnnexesList: {
  prototype: ScrdAnnexesList;
  new (): ScrdAnnexesList;
};

interface ScrdAssignTask extends Components.ScrdAssignTask, HTMLElement {}
export const ScrdAssignTask: {
  prototype: ScrdAssignTask;
  new (): ScrdAssignTask;
};

interface ScrdAutoGrid extends Components.ScrdAutoGrid, HTMLElement {}
export const ScrdAutoGrid: {
  prototype: ScrdAutoGrid;
  new (): ScrdAutoGrid;
};

interface ScrdContinuoBox extends Components.ScrdContinuoBox, HTMLElement {}
export const ScrdContinuoBox: {
  prototype: ScrdContinuoBox;
  new (): ScrdContinuoBox;
};

interface ScrdPaginator extends Components.ScrdPaginator, HTMLElement {}
export const ScrdPaginator: {
  prototype: ScrdPaginator;
  new (): ScrdPaginator;
};

interface ScrdRadAnnexesList extends Components.ScrdRadAnnexesList, HTMLElement {}
export const ScrdRadAnnexesList: {
  prototype: ScrdRadAnnexesList;
  new (): ScrdRadAnnexesList;
};

/**
 * Utility to define all custom elements within this package using the tag name provided in the component's source. 
 * When defining each custom element, it will also check it's safe to define by:
 *
 * 1. Ensuring the "customElements" registry is available in the global context (window).
 * 2. The component tag name is not already defined.
 *
 * Use the standard [customElements.define()](https://developer.mozilla.org/en-US/docs/Web/API/CustomElementRegistry/define) 
 * method instead to define custom elements individually, or to provide a different tag name.
 */
export declare const defineCustomElements: (opts?: any) => void;

/**
 * Used to manually set the base path where assets can be found.
 * If the script is used as "module", it's recommended to use "import.meta.url",
 * such as "setAssetPath(import.meta.url)". Other options include
 * "setAssetPath(document.currentScript.src)", or using a bundler's replace plugin to
 * dynamically set the path at build time, such as "setAssetPath(process.env.ASSET_PATH)".
 * But do note that this configuration depends on how your script is bundled, or lack of
 * bunding, and where your assets can be loaded from. Additionally custom bundling
 * will have to ensure the static assets are copied to its build directory.
 */
export declare const setAssetPath: (path: string) => void;

export interface SetPlatformOptions {
  raf?: (c: FrameRequestCallback) => number;
  ael?: (el: EventTarget, eventName: string, listener: EventListenerOrEventListenerObject, options: boolean | AddEventListenerOptions) => void;
  rel?: (el: EventTarget, eventName: string, listener: EventListenerOrEventListenerObject, options: boolean | AddEventListenerOptions) => void;
  ce?: (eventName: string, opts?: any) => CustomEvent;
}
export declare const setPlatformOptions: (opts: SetPlatformOptions) => void;

export type { Components, JSX };

export * from '../types';
