import { p as promiseResolve, b as bootstrapLazy } from './index-ece524ae.js';

/*
 Stencil Client Patch Browser v2.10.0 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = import.meta.url;
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return promiseResolve(opts);
};

patchBrowser().then(options => {
  return bootstrapLazy([["scrd-rad-annexes-list",[[1,"scrd-rad-annexes-list",{"datosRadAnexos":[16],"flagAnexosTrd":[1028,"flag-anexos-trd"],"idAnexos":[32],"anexosFiltrados":[32],"value":[32],"selectValue":[32],"secondSelectValue":[32],"anexosVerificados":[32],"pages":[32],"page":[32],"pageSize":[32],"searchFilter":[32],"extensionFinal":[32]},[[0,"submitModal","submitModalHandler"],[0,"pageChanged","handleSelected"]]]]],["scrd-annexes-list",[[1,"scrd-annexes-list",{"datosRadAnexos":[16],"flagAnexosTrd":[1028,"flag-anexos-trd"],"idAnexos":[32],"anexosFiltrados":[32],"value":[32],"selectValue":[32],"secondSelectValue":[32],"anexosVerificados":[32]},[[0,"submitModal","submitModalHandler"]]]]],["scrd-assign-task",[[1,"scrd-assign-task",{"datosAssign":[16],"validator":[1],"value":[32],"selectValue":[32],"taskSelected":[32],"userSelected":[32],"selectUsers":[32]}]]],["scrd-auto-grid",[[1,"scrd-auto-grid",{"tituloTramite":[8,"titulo-tramite"],"datosJson":[8,"datos-json"],"datosJsonUsuarioTitulos":[8,"datos-json-usuario-titulos"],"datosJsonUsuarioValores":[8,"datos-json-usuario-valores"],"grupoUsuario":[8,"grupo-usuario"]}]]],["scrd-continuo-box",[[1,"scrd-continuo-box",{"datosContinuo":[16],"validator":[1],"value":[32],"selectValue":[32],"secondSelectValue":[32]}]]],["scrd-paginator",[[0,"scrd-paginator",{"page":[2],"pageSize":[2,"page-size"],"itemCount":[2,"item-count"]}]]],["annexes-list-backdrop_3",[[1,"annexes-modal-bundle",{"radicado_anexo":[8],"instance_process_id":[8],"instance_process_id_parent":[8],"task_id":[8],"selectOptions":[8,"select-options"],"opcion":[8],"observacion":[8],"tituloModal":[1,"titulo-modal"],"observacionVisible":[4,"observacion-visible"],"modalConsultar":[4,"modal-consultar"],"radicado_principal":[8],"indexRad":[8,"index-rad"],"show":[32],"Open":[64]},[[0,"close","closeModalHandler"],[0,"changedSubmit","submitModalHandler"]]],[1,"annexes-list-backdrop"],[1,"annexes-list-modal",{"datosAnnexesListModal":[16],"titulo":[1],"observacionVisible":[4,"observacion-visible"],"modalConsultar":[4,"modal-consultar"],"radicado_principal":[8],"indexRad":[8,"index-rad"],"value":[32],"selectValue":[32]}]]]], options);
});
