import { EventEmitter } from '../../stencil-public-runtime';
import { modelAssignTask } from '../../interface/assign-task/assign.interface';
import { Validator, ValidatorMax } from '../../interface/validators/validators.interface';
export declare class AssignTask {
  datosAssign: modelAssignTask;
  value: string;
  selectValue: string;
  taskSelected: string;
  userSelected: string;
  selectUsers: any;
  validator: string;
  changed: EventEmitter<any>;
  _validator: Validator<string>;
  _validatorMax: ValidatorMax<string>;
  handleSubmit(e: any): void;
  handleTaskSelect(event: any): void;
  handleUserSearch(event: any): void;
  getUsers(rol: any): Promise<void>;
  render(): any;
}
