export interface modelAnnexesList {
  titulo?: string;
  btn?: string;
  btnReport?: string;
  btnReportVisible?: boolean;
  btnVerificacion?: string;
  btnVerificacionVisible?: boolean;
  selectOptions?: any[];
  expediente?: modelExpediente;
  verificarConsultar?: boolean;
  expObservacionVisible?: boolean;
  modalVisible?: boolean;
  paginadorVisible?: boolean;
  buscadorVisible?: boolean;
  extension?: string;
  extensionSalida?: string;
}
export interface modelExpediente {
  numero_expediente?: string;
  titulo?: string;
  descripcion?: string;
  serie?: string;
  subserie?: string;
  dependencia?: string;
  anio?: string;
  estado?: string;
  expediente_radicados?: [modelRadicadoList];
  expAll?: boolean;
  expTrd?: string;
  task_id?: any;
  instance_process_id?: any;
  instance_process_id_parent?: any;
  modalTitulo?: any;
  expSelectModal?: any;
}
export interface modelRadicadoList {
  radicado_numero?: string;
  radicado_fecha?: string;
  radicado_asunto?: string;
  radicado_dependencia_actual?: string;
  radicado_dependencia_codigo?: string;
  radicado_usuario_actual?: string;
  radicado_anulacion?: string;
  radicado_tipo_documental?: string;
  anexos_radicados?: modelAnexoListRadicado[];
}
export interface modelAnexosList {
  fecha?: string;
  dependencia?: string;
  nombre?: string;
  descripcion?: number;
  tipoDocumental?: string;
  codigo?: string;
  tamano?: number;
  usuario?: string;
}
export interface modelAnexoListRadicado {
  anex_radi_nume?: string;
  anexo_id?: number;
  anexo_radicado?: string;
  anexo_codigo?: string;
  anexo_archivo_nombre?: string;
  anexo_descripción?: string;
  anexo_fecha?: string;
  anexo_tipo_documental_codigo?: string;
  anexo_tipo_documental_nombre?: string;
  anexo_formato?: string;
  anexo_borrado?: string;
  anexo_usuario_id?: number;
  anexo_usuario?: string;
  flagDeleteFile?: boolean;
  opcion?: any;
  observacion?: any;
}
export interface modelModal {
  selectOptions?: any[];
  radicado_anexo?: any;
  instance_process_id?: any;
  instance_process_id_parent?: any;
  task_id?: any;
  opcion?: any;
  observacion?: any;
}
