import { EventEmitter } from '../../stencil-public-runtime';
import { modelAnnexesList } from '../../interface/annexes-list/annexes-list.interface';
export declare class AnnexesList {
  datosRadAnexos: modelAnnexesList;
  idAnexos: number;
  flagAnexosTrd: boolean;
  anexosFiltrados: any;
  value: string;
  selectValue: string;
  secondSelectValue: string;
  reportChanged: EventEmitter<any>;
  removeFileChanged: EventEmitter<any>;
  downloadRadChanged: EventEmitter<any>;
  downloadAnnexeChanged: EventEmitter<any>;
  radioChanged: EventEmitter<any>;
  fileChanged: EventEmitter<any>;
  element: HTMLElement;
  anexosVerificados: any[];
  annexesVerified: EventEmitter<any>;
  onFileChange(event: any): void;
  radioChange(event: any, tipo: string): void;
  downloadRadChange(event: any): void;
  downloadChange(event: any): void;
  showList(id: number): void;
  hideList(): void;
  removeFile(codigo: any): void;
  reportPdf(): void;
  guardarVerificar(): void;
  submitModalHandler(dato: any): void;
  filterExpedient(): void;
  handleSecondSelect(event: any): void;
  openModal(radicado_anexo: any, opcion: any, selectOptions: any, observacion: any, instance_process_id: any, task_id: any, radicado_principal: any, index: any): void;
  render(): any;
}
